<?php

namespace app\xzgl\controller;

use app\xzgl\model\XzglCompanyCert;
use think\admin\Controller;
use think\admin\helper\QueryHelper;
use think\admin\model\SystemBase;

/**
 * 企业证书管理
 */
class CompanyCert extends Controller
{
    /**
     * 企业证书管理
     * @auth true
     * @menu true
     * @return void
     */
    public function index()
    {
        $this->title = '企业证书管理';
        XzglCompanyCert::mQuery()->layTable(function () {
            $this->levels = SystemBase::items('企业证书等级');
        }, static function (QueryHelper $query) {
            $query->like('name')->dateBetween('valid_before')->equal('level');
        });
    }

    /**
     * 查看企业证书
     * @auth false
     * @return void
     */
    public function view()
    {
        XzglCompanyCert::mForm('view');
    }

    /**
     * 添加企业证书
     * @auth true
     * @return void
     */
    public function add()
    {
        XzglCompanyCert::mForm('form');
    }

    /**
     * 编辑企业证书
     * @auth true
     * @return void
     */
    public function edit()
    {
        XzglCompanyCert::mForm('form');
    }

    protected function _form_filter(&$vo)
    {
        if ($this->request->isPost()) {
            if (empty($vo['valid_before'])) {
                unset($vo['valid_before']);
            }
//            if (empty($vo['valid_after'])) {
//                unset($vo['valid_after']);
//            }
            if (empty($vo['id'])) {
                $vo['create_by'] = session('user.id');
            }
            $vo['update_by'] = session('user.id');
        } else {
            $this->levels = SystemBase::items('企业证书等级');
        }
    }

    /**
     * 删除企业证书
     * @return void
     */
    public function remove()
    {
        XzglCompanyCert::mDelete();
    }
}