<?php

namespace app\xzgl\model;

use think\admin\Model;
use think\admin\model\SystemBase;
use think\db\Query;

class XzglCompanyCert extends Model
{
    protected $createTime = 'create_at';
    protected $updateTime = 'update_at';
    protected $oplogName = '企业证书';
    protected $oplogType = '企业证书管理';
    protected $globalScope = ['notDeleted'];
    protected $append = ['level_name'];

    public function scopeDeleted(Query $query): void
    {
        $query->where('is_deleted', '=', 1);
    }

    public function scopeNotDeleted(Query $query): void
    {
        $query->where('is_deleted', '=', 0);
    }

    public function getLevelNameAttr($value, $data)
    {
        $levels = SystemBase::items('企业证书等级');
        if (isset($levels[$data['level']])) {
            return $levels[$data['level']]['name'];
        } else {
            return $data['level'];
        }
    }
}